> ## Documentation Index
> Fetch the complete documentation index at: https://developer.audioshake.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Assets

Retrieve a paginated list of all Assets in your account.


## OpenAPI

````yaml GET /assets
openapi: 3.1.0
info:
  title: AudioShake API
  version: 1.0.0
  description: >-
    API for AI-powered audio source separation, stem extraction, and
    transcription.
  license:
    name: Proprietary
    url: https://www.audioshake.ai/terms
  contact:
    name: AudioShake
    url: https://audioshake.ai
servers:
  - url: https://api.audioshake.ai
security:
  - apiKey: []
tags:
  - name: assets
    description: Audio and media file assets managed by AudioShake
  - name: tasks
    description: Stem separation, source separation, and transcription alignment tasks
paths:
  /assets:
    get:
      tags:
        - assets
      summary: List All Assets
      operationId: listAssets
      parameters:
        - schema:
            default: 0
            minimum: 0
            type: number
          in: query
          name: skip
          required: false
          description: Number of records to skip for pagination
        - schema:
            minimum: 1
            maximum: 100
            default: 10
            type: number
          in: query
          name: take
          required: false
          description: Maximum number of records to return per page
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      description: >-
                        Unique identifier of the Asset. Use this id as assetId
                        when creating a Task.
                      type: string
                    format:
                      description: Format of the output file
                      type: string
                    name:
                      description: Name of the Asset
                      type: string
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````